# Generated by Django 2.1.3 on 2018-12-08 13:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0015_auto_20181208_1427'),
    ]

    operations = [
        migrations.CreateModel(
            name='Requester',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('adress', models.TextField(blank=True)),
                ('fond', models.CharField(max_length=255)),
                ('budget', models.CharField(max_length=255)),
            ],
        ),
        migrations.RemoveField(
            model_name='invoice',
            name='orderer',
        ),
        migrations.AlterField(
            model_name='request',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester'),
        ),
        migrations.AlterField(
            model_name='request',
            name='status',
            field=models.IntegerField(choices=[(1, 'New'), (2, 'BHG checked'), (3, 'offers needed'), (4, 'ZA3 requested'), (5, 'approved'), (6, 'declined'), (7, 'finished')]),
        ),
        migrations.DeleteModel(
            name='Orderer',
        ),
        migrations.AddField(
            model_name='invoice',
            name='requester',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='core.Requester'),
            preserve_default=False,
        ),
    ]
